import request from '@/utils/request'

export function addPmsTemUser(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemUser/addPmsTemUser",
        method: "post",
        data,
    });
}

export function updatePmsTemUser(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemUser/updatePmsTemUser",
        method: "post",
        data,
    });
}

export function delPmsTemUser(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemUser/delPmsTemUser",
        method: "post",
        data,
    });
}

export function pageList(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemUser/pageList",
        method: "post",
        data,
    });
}

export function upGwTemUser(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemUser/upGwTemUser",
        method: "post",
        data,
    });
}

export function selectList(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemUser/selectList",
        method: "post",
        data,
    });
}








export function addTemProcessTrack(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemProcessTrack/addTemProcessTrack",
        method: "post",
        data,
    });
}

export function updateTemProcessTrack(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemProcessTrack/updateTemProcessTrack",
        method: "post",
        data,
    });
}

export function getById(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemProcessTrack/getById",
        method: "post",
        data,
    });
}

export function pageTrackList(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemProcessTrack/pageList",
        method: "post",
        data,
    });
}

//筛选下拉列表参数
export function getAllUserList() {
    return request({
        url: "/user-boot/user/getAllUserSimpleList",
        method: "get",
    });
}


export function upGw(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemProcessTrack/upGw",
        method: "post",
        data,
    });
}








export function approvalCreate(data) {
    return request({
        url: "/harmonic-boot/process/processApproval/create",
        method: "post",
        data,
    });
}



export function getApprovalById(data) {
    return request({
        url: "/harmonic-boot/process/processApproval/getById",
        method: "post",
        params:data
    });
}

export function pageApprovalList(data) {
    return request({
        url: "/harmonic-boot/process/processApproval/pageList",
        method: "post",
        data,
    });
}



export function upApprovalGw(data) {
    return request({
        url: "/harmonic-boot/process/processApproval/upGw",
        method: "post",
        data,
    });
}

export function delApproval(data) {
    return request({
        url: "/harmonic-boot/process/processApproval/del",
        method: "post",
        data,
    });
}





export function getReportList(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemProcessReport/getList",
        method: "post",
        data,
    });
}

export function upReportGw(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemProcessReport/upGwReport",
        method: "post",
        data,
    });
}

export function dayCalReport(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemProcessReport/dayCalReport",
        method: "post",
        params:data,
    });
}








export function runTestCreate(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemProcessTestRun/create",
        method: "post",
        data,
    });
}

export function runTestUpdate(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemProcessTestRun/update",
        method: "post",
        data,
    });
}



export function getRunTestById(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemProcessTestRun/getById",
        method: "post",
        params:data
    });
}

export function pageRunTestList(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemProcessTestRun/pageList",
        method: "post",
        data,
    });
}



export function upRunTestGw(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemProcessTestRun/upGw",
        method: "post",
        data,
    });
}

export function delRunTest(data) {
    return request({
        url: "/harmonic-boot/process/pmsTemProcessTestRun/del",
        method: "post",
        data,
    });
}
